You are here: Foswiki>Tasks Web>Item11812 (19 Sep 2012, SalihEmin)Edit Attach

Item11812: Digest::SHA1 has been deprecated/removed in Debian and Ubuntu

Priority: Normal
Current State: Duplicate
Released In: n/a
Target Release: n/a
Applies To: Engine
Reported By: TomasCassidy
Waiting For:
Last Change By: SalihEmin
The installation guide ( lists Digest::SHA1 as an optional dependency, and the debian package ( has a dependency on the libdigest-sha1-perl package. This package has been removed from Ubuntu 12.04 and is set to be removed from Debian also. The recommendation from Debian and Ubuntu is to migrate to the Digest::SHA module (libdigest-sha-perl). This currently causes the Foswiki .deb package to be uninstallable on Ubuntu 12.04 and will similarly affect Debian in the future.

Relevant bug reports:

-- TomasCassidy - 03 May 2012


and boy, this report is timely for other projects too

Thankyou, I'll patch it in the next week .

-- SvenDowideit - 03 May 2012

Isn't this a duplicate of Item11801?

-- GeorgeClark - 03 May 2012

yup smile

-- SvenDowideit - 19 May 2012

for the time being with foswiki 1.1.5 on Ubuntu 12.04 I had to use prebuild packages

-- SalihEmin - 19 Sep 2012

ItemTemplate edit

Summary Digest::SHA1 has been deprecated/removed in Debian and Ubuntu
ReportedBy TomasCassidy
Codebase 1.1.5, trunk
SVN Range
AppliesTo Engine
Priority Normal
CurrentState Duplicate
TargetRelease n/a
ReleasedIn n/a
Topic revision: r5 - 19 Sep 2012, SalihEmin - This page was cached on 25 Nov 2015 - 08:25. Get a fresh version here.
The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License